@import url('https://fonts.googleapis.com/css2?family=Manrope:wght@200..800&display=swap');

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: "Manrope", sans-serif;
}

body {
    padding: 20px;
    background: #F6F7F8 0% 0% no-repeat padding-box;
}

.iconsax {
    color: #072635;
    font-size: 18px;
    display: flex;
    font-weight: bold;
}

a {
    text-decoration: none;
    color: #072635;
    font-weight: bold;
    font-size: 14px;
}

.nav-bar a:hover {
    background: #01F0D0 0% 0% no-repeat padding-box;
    border-radius: 41px;
    opacity: 1;
    padding: 10px;
}

.nav-bar .active {
    background: #01F0D0 0% 0% no-repeat padding-box;
    border-radius: 41px;
    opacity: 1;
    padding: 10px;
}

.nav-bar {
    display: flex;
    gap: 30px;
    align-items: center;
}

.nav-bar a {
    display: flex;
    gap: 3px;
    align-items: center;
}

.header {
    border-radius: 70px;
    opacity: 1;
    width: 100%;
    position: sticky;
    top: 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px;
    background: #FFFFFF 0% 0% no-repeat padding-box;
}

.header img {
    display: block;
}

.user-profile>div {
    display: flex;
    align-items: center;
    gap: 8px;
}

.user-profile>div>div {
    display: flex;
    flex-direction: column;
    line-height: 1.2;
}

.user-profile .more svg {
    display: inline-block;
    transform: rotate(180deg);
}

.aside-patient-list {
    position: fixed;
    top: 122px;
    padding: 20px;
    left: 18px;
    padding-bottom: 20px;
    min-width: 367px;
    height: 100vh;
    overflow-y: scroll;
    scroll-behavior: smooth;
    scrollbar-width: thin;
    border-radius: 16px;
    opacity: 1;
    background: #FFFFFF 0% 0% no-repeat padding-box;
}

.aside-patient-list .aside-header {
    display: flex;
    justify-content: space-between;
    width: 100%;
    align-items: center;
}

.aside-patient-list .patient-list {
    margin-top: 30px;
    display: flex;
    padding-bottom: 40px;
    flex-direction: column;
    gap: 20px;
}

.aside-patient-list .patient-list>div {
    display: flex;
    align-items: center;
    justify-content: space-between;

}

.aside-patient-list .patient-list>div:hover {
    background: #D8FCF7 0% 0% no-repeat padding-box;
    opacity: 1;
    cursor: pointer;
}

.aside-patient-list .patient-list>.active {
    background: #D8FCF7 0% 0% no-repeat padding-box;
    opacity: 1;
    cursor: pointer;
}

.aside-patient-list .patient-list>div>img {
    flex-shrink: 0;
}

.aside-patient-list .patient-list>div>div {
    display: flex;
    flex-direction: column;
    margin-left: 10px;
    flex-grow: 1;
}

main {
    top: 122px;
    left: 417px;
    right: 395px;
    height: 100vh;
    position: fixed;
    overflow-y: scroll;
    scrollbar-width: thin;
    scroll-behavior: smooth;
    padding-top: 20px;
    padding-left: 20px;
    padding-right: 20px;
    padding-bottom: 200px;
    background: #FFFFFF 0% 0% no-repeat padding-box;
    border-radius: 16px;
}

main h2 {
    font-size: 24px;
    font-weight: 800;
    color: #072635;
    font-weight: bold;
}

main .diagnosis-history {
    margin-top: 20px;
    margin-bottom: 20px;
    display: grid;
    grid-row: auto auto auto auto;
    gap: 20px;
}

main .diagnosis-history .card {
    padding: 20px;
    width: 228px;
    height: 242px;
    border-radius: 12px;
    opacity: 1;
}

main .diagnosis-history .card strong {
    font-size: 30px;
    margin-bottom: 40px;
}

main .diagnosis-history .card p:last-child {
    font-size: 14px;
}

main .diagnosis-history .card:first-child {
    background: #F4F0FE 0% 0% no-repeat padding-box;
    grid-column: span 3;
    width: 100%;
    padding: 20px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 30px;
    height: 300px;
}


main .diagnosis-history .card:first-child .chart-container {
    flex: 1.2;
    height: 150px;
}


main .diagnosis-history .card:first-child .bp-details {
    flex: 1;
    display: flex;
    flex-direction: column;
    gap: 16px;
}

main .diagnosis-history .card:nth-child(2) {
    background: #E0F3FA 0% 0% no-repeat padding-box;
}

main .diagnosis-history .card:nth-child(3) {
    background: #FFE6E9 0% 0% no-repeat padding-box;
}

main .diagnosis-history .card:last-child {
    background: #FFE6F1 0% 0% no-repeat padding-box;
}


main .diagnosis-list table {
    background: #FFFFFF 0% 0% no-repeat padding-box;
    border-radius: 16px;
    opacity: 1;
    margin-top: 20px;
    width: 100%;
    border-collapse: collapse;
    text-align: center;
}

main .diagnosis-list table th {
    padding: 12px 0;
    text-align: left;
    background: #F6F7F8 0% 0% no-repeat padding-box;
    font-weight: 600;
    color: #072635;
}


main .diagnosis-list table td {
    border-top: 1px solid #EEE;
    text-align: left;
    line-height: 2;
    color: #555;
}

.aside-patient-info {
    position: fixed;
    right: 13px;
    top: 122px;
    width: 367px;
    height: calc(100vh - 130px);
    background: #fff;
    border-radius: 16px;
    padding: 24px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.05);
    overflow-y: auto;
}

.patient-card {
    text-align: center;
}

.patient-avatar {
    width: 200px;
    height: 200px;
    border-radius: 50%;
    margin-bottom: 16px;
    object-fit: cover;
}

.info-label {
    color: #7C8DB5;
    font-size: 13px;
    margin-top: 12px;
}

.contact-info {
    text-align: left;
    margin-top: 20px;
    line-height: 1.6;
}

.contact-info span {
    display: flex;
    flex-direction: column;
}

.contact-info p {
    display: flex;
    gap: 8px;
    margin-bottom: 20px;
    align-items: center;
}

.contact-info i {
    font-size: 23px;
    opacity: 1;
    background-color: #F4F0FE;
    border-radius: 8px;
    padding: 10px;
}

.view-more-btn {
    margin-top: 20px;
    width: 220px;
    height: 41px;
    color: #072635;
    font-weight: bold;
    border: none;
    cursor: pointer;
    background: #01F0D0 0% 0% no-repeat padding-box;
    border-radius: 41px;
    opacity: 1;
}

.aside-patient-info .lab-info-content {
    margin-top: 20px;
}